searchData={"items":[{"type":"module","title":"Beacon.LiveAdmin","doc":"Beacon LiveAdmin is a Phoenix LiveView web application to manage Beacon sites.","ref":"Beacon.LiveAdmin.html"},{"type":"function","title":"Beacon.LiveAdmin.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Beacon.LiveAdmin.html#child_spec/1"},{"type":"function","title":"Beacon.LiveAdmin.start_link/1","doc":"Starts Beacon LiveAdmin's instances.","ref":"Beacon.LiveAdmin.html#start_link/1"},{"type":"module","title":"Beacon.LiveAdmin.Config","doc":"Configuration for Admin instances.\n\nSee `new/1` for available options and examples.","ref":"Beacon.LiveAdmin.Config.html"},{"type":"function","title":"Beacon.LiveAdmin.Config.fetch!/1","doc":"Returns the `Beacon.LiveAdmin.Config` for instance `name`.","ref":"Beacon.LiveAdmin.Config.html#fetch!/1"},{"type":"type","title":"Beacon.LiveAdmin.Config.name/0","doc":"Name to identify an Admin instance.","ref":"Beacon.LiveAdmin.Config.html#t:name/0"},{"type":"function","title":"Beacon.LiveAdmin.Config.new/1","doc":"Build a new `%Beacon.LiveAdmin.Config{}` to hold the entire configuration for each Admin instance.","ref":"Beacon.LiveAdmin.Config.html#new/1"},{"type":"function","title":"Options - Beacon.LiveAdmin.Config.new/1","doc":"* `:site` - `t:name/0` (required). Name of the Admin instance, must be unique. Defaults to `:admin`.","ref":"Beacon.LiveAdmin.Config.html#new/1-options"},{"type":"function","title":"Example - Beacon.LiveAdmin.Config.new/1","doc":"iex> Beacon.LiveAdmin.Config.new(\n      name: :my_admin\n    )\n    %Beacon.LiveAdmin.Config{\n      name: :my_admin\n    }","ref":"Beacon.LiveAdmin.Config.html#new/1-example"},{"type":"type","title":"Beacon.LiveAdmin.Config.option/0","doc":"","ref":"Beacon.LiveAdmin.Config.html#t:option/0"},{"type":"type","title":"Beacon.LiveAdmin.Config.t/0","doc":"","ref":"Beacon.LiveAdmin.Config.html#t:t/0"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.html"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Accordion","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Accordion.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Accordion.accordion/1","doc":"The accordion component renders a list of items with child content that can be expanded or collapsed.","ref":"Beacon.LiveAdmin.StationUI.HTML.Accordion.html#accordion/1"},{"type":"function","title":"Example - Beacon.LiveAdmin.StationUI.HTML.Accordion.accordion/1","doc":"<.accordion>\n  <:header>\n    Title something 1\n  </:header>\n  <:content>\n    Content something 1\n  </:content>\n</.accordion>\n\nSuggested size classes for `header` (default: md):\n\nsm: \"p-1 text-base sm:text-lg gap-x-0.5\"\nmd: \"p-1 text-base sm:text-lg md:text-xl md:py-1 md:pr-1 md:pl-1.5 md:gap-x-1\"\nlg: \"p-1 text-base sm:text-lg md:text-xl lg:text-2xl md:py-1 md:pr-1 md:pl-1.5 lg:pl-2 md:gap-x-1 lg:gap-x-1.5\"\nxl: \"p-1 text-base sm:text-lg md:text-xl lg:text-2xl xl:text-3xl md:pt-1 md:pb-0 md:pr-1 md:pl-1.5 lg:pl-4 sm:gap-x-3 md:gap-x-4 lg:gap-x-5\"\n\nSuggested size classes for `content` (default: md):\n\nsm: \"text-base\"\nmd: \"grid transition-grid-rows text-base md:text-lg\"\nlg: \"md:text-lg lg:text-xl\"\nxl: \"md:text-lg lg:text-xl xl:text-2xl\"","ref":"Beacon.LiveAdmin.StationUI.HTML.Accordion.html#accordion/1-example"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Accordion.accordion/1","doc":"* `id` (`:string`)\n* Global attributes are accepted.","ref":"Beacon.LiveAdmin.StationUI.HTML.Accordion.html#accordion/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Accordion.accordion/1","doc":"* `header` (required) - Accepts attributes:\n\n  * `button_id` (`:string`)\n  * `class` (`:string`) - text-base sm:text-lg md:text-xl.\n* `content` (required) - Accepts attributes:\n\n  * `class` (`:string`) - text-base md:text-lg.","ref":"Beacon.LiveAdmin.StationUI.HTML.Accordion.html#accordion/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar","doc":"The avatar component renders initials, an SVG, or an image thumbnail to represent a user.\nAvatars can be displayed as single items or combined into a horizontal stack.\n\nSets up an avatar stack.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html"},{"type":"module","title":"Stack Example - Beacon.LiveAdmin.StationUI.HTML.Avatar","doc":"<.avatar_stack overflow_link={~p\"/avatars/link\"} display_max={2}>\n    <:avatar>\n      <.avatar .../>\n    </:avatar>\n    <:avatar>\n      <.avatar .../>\n    </:avatar>\n    <:avatar>\n      <.avatar .../>\n    </:avatar>\n    <:avatar>\n      <.avatar .../>\n    </:avatar>\n  <.avatar_stack>","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#module-stack-example"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar/1","doc":"* `status` (`:string`) - Must be one of `\"active\"`, `\"inactive\"`, `\"deactivated\"`, or `\"pending\"`.\n* `variant` (`:string`) - Must be one of `\"image\"`, `\"initials\"`, or `\"placeholder\"`.\n* `index` (`:integer`)\n* `name` (`:string`) - Defaults to `nil`.\n* `image_src` (`:string`) - Defaults to `\"\"`.\n* `class` (`:any`) - Defaults to `\"h-[42px] w-[42px] [&_svg]:w-[21px] border-transparent\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar/1","doc":"* `initials` - Accepts attributes:\n\n  * `count` (`:boolean`)\n* `placeholder`","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_link/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_link/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_link/1","doc":"* `status` (`:string`) - Must be one of `\"active\"`, `\"inactive\"`, `\"deactivated\"`, or `\"pending\"`.\n* `variant` (`:string`) - Must be one of `\"image\"`, `\"initials\"`, or `\"placeholder\"`.\n* `index` (`:integer`)\n* `name` (`:string`) - Defaults to `nil`.\n* `image_src` (`:string`) - Defaults to `nil`.\n* `to` (`:string`) (required)\n* `link_class` (`:any`) - Defaults to `\"focus-visible:ring-2 active:ring-1\"`.\n* `class` (`:any`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_link/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_link/1","doc":"* `initials` - Accepts attributes:\n\n  * `count` (`:boolean`)\n* `placeholder`","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_link/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_stack/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_stack/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_stack/1","doc":"* `class` (`:any`) - Defaults to `\"[&_div]:ml-1.5 [&_div_figure]:-ml-3.5\"`.\n* `display_max` (`:integer`) - Defaults to `3`.\n* `total_count` (`:integer`) - Defaults to `nil`.\n* `overflow_link` (`:string`) (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_stack/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_stack/1","doc":"* `avatar`","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_stack/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_status_badge/1","doc":"An avatar-specific status icon.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_status_badge/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Avatar.avatar_status_badge/1","doc":"* `status` (`:string`) (required) - Must be one of `\"active\"`, `\"inactive\"`, `\"deactivated\"`, or `\"pending\"`.\n* `class` (`:any`) - additional or overriding classes. Defaults to `nil`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#avatar_status_badge/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.default_avatar_placeholder_icon/1","doc":"The default placeholder icon for a placeholder variant of an avatar.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#default_avatar_placeholder_icon/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Avatar.default_avatar_placeholder_icon/1","doc":"* `name` (`:string`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#default_avatar_placeholder_icon/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.figure_base_classes/0","doc":"A single avatar","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#figure_base_classes/0"},{"type":"function","title":"Examples - Beacon.LiveAdmin.StationUI.HTML.Avatar.figure_base_classes/0","doc":"Avatar with initials, a border, and an active status icon:\n\n    <.avatar variant=\"initials\" status=\"active\" class=\"h-[42px] w-[42px] border-[--sui-brand-primary]\" />\n\nAvatar with placeholder image with a pending status icon:\n\n    <.avatar variant=\"placeholder\" status=\"pending\" />\n\nSuggested classes for various sizes:\n  - xs -> \"h-6 w-6 [&_svg]:w-3 text-xs\"\n  - sm -> \"h-8 w-8 [&_svg]:w-4 text-sm\"\n  - md -> \"h-[42px] w-[42px] [&_svg]:w-[21px]\" (default)\n  - lg -> \"h-[52px] w-[52px] [&_svg]:w-[26px] text-lg\"\n  - xl -> \"h-16 w-16 [&_svg]:w-8 text-lg\"","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#figure_base_classes/0-examples"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.link_base_classes/0","doc":"An avatar that links somewhere.","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#link_base_classes/0"},{"type":"function","title":"Example - Beacon.LiveAdmin.StationUI.HTML.Avatar.link_base_classes/0","doc":"<.avatar_link to={~p\"/some/link\"} variant=\"placeholder\" />","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#link_base_classes/0-example"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Avatar.stack_base_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Avatar.html#stack_base_classes/0"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Banner","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Banner.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Banner.banner/1","doc":"The banner component renders an enclosed title, description, and close button.\nThe title content goes into the main inner_block slot.\nThe optional secondary (lower) content goes into the secondary slot.","ref":"Beacon.LiveAdmin.StationUI.HTML.Banner.html#banner/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.StationUI.HTML.Banner.banner/1","doc":"Default banner with left icon, title, and secondary text:\n\n  <.banner id=\"icon-title-and-secondary\">\n    <.icon name=\"hero-information-circle-solid\" class=\"text-[--sui-brand-primary] shrink-0\" />\n     Default Banner with Icon and Secondary \n    <:secondary>\n      Secondary text.\n    </:secondary>\n  </.banner>\n\nBanner of default size but without border:\n\n  <.banner id=\"no-border\" class=\"border-transparent [&_span]:h-6 [&_span]:w-6 text-base\">\n    ...\n  </.banner>\n\nSuggested classes for various text sizes and the default border styling:\n\n  - xs -> \"border-[--sui-brand-primary-border] [&_span]:h-3.5 [&_span]:w-3.5 text-xs\"\n  - sm -> \"border-[--sui-brand-primary-border] [&_span]:h-4.5 [&_span]:w-4.5 text-sm\"\n  - md -> \"border-[--sui-brand-primary-border] [&_span]:h-6 [&_span]:w-6 text-base\" (the default)\n  - lg -> \"border-[--sui-brand-primary-border] [&_span]:h-9 [&_span]:w-9 text-xl\"\n  - xl -> \"border-[--sui-brand-primary-border] [&_span]:h-12 [&_span]:w-12 text-3xl\"","ref":"Beacon.LiveAdmin.StationUI.HTML.Banner.html#banner/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Banner.banner/1","doc":"* `id` (`:string`) (required)\n* `class` (`:any`) - Defaults to `\"border-[--sui-brand-primary-border] [&_span]:h-6 [&_span]:w-6 text-base\"`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Banner.html#banner/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Banner.banner/1","doc":"* `inner_block` (required)\n* `secondary`","ref":"Beacon.LiveAdmin.StationUI.HTML.Banner.html#banner/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Button","doc":"The button component renders a   element with options for text-only, icon-only, or a combination of both.\n\nUse the default slot to pass in text or large icons for buttons.\n\nButtons classes remain the same regardless of the button theme, but the value of variables applied to those classes will be scoped using\na specifier or modifier class:\n\n  - sui-primary\n  - sui-secondary\n  - sui-tertiary\n  - sui-primary-destructive\n  - sui-secondary-destructive\n\nThese classes are not utiltiy classes, as they are not actually applying or changing\nany CSS properties. The classes serve merely to scope the variables based on the theme of the button.","ref":"Beacon.LiveAdmin.StationUI.HTML.Button.html"},{"type":"module","title":"Example - Beacon.LiveAdmin.StationUI.HTML.Button","doc":"<.button>\n  Button text\n  <.icon name=\"hero-chevron-down\" class=\"w-4 h-4 lg:w-5 lg:h-5\" />\n</.button>\n\nSuggested size classes:\n  xl: text-3xl lg:text-4xl\n  lg: text-2xl lg:text-3xl\n  sm: text-sm lg:text-base","ref":"Beacon.LiveAdmin.StationUI.HTML.Button.html#module-example"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Button.button/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Button.html#button/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Button.button/1","doc":"* `class` (`:string`) - Defaults to `\"sui-primary\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"formaction\", \"formmethod\", \"name\", \"value\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Button.html#button/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Button.button/1","doc":"* `inner_block`","ref":"Beacon.LiveAdmin.StationUI.HTML.Button.html#button/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Card","doc":"The cards component renders a self-contained area of content which can contain:\n- Title\n- Image\n- Description\n- Date\n- Read More link\n\nThe card can utilize either a vertical or horizontal layout.","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html"},{"type":"module","title":"Examples - Beacon.LiveAdmin.StationUI.HTML.Card","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#module-examples"},{"type":"module","title":"Vertical Card - Beacon.LiveAdmin.StationUI.HTML.Card","doc":"<.card>\n  <:header>\n     \n  </:header>\n  <:content>\n     \n      <!-- Allow the heading and date to wrap if the heading overflows the card -->\n       \n        The Whales Are Here!\n       \n       Nov 12, 2022 \n     \n     \n      Lorem ipsum, dolor sit amet consectetur adipisicing elit. Facilis fugiat, aliquam assumenda repellat rerum nostrum.\n     \n    <!-- Call to action -->\n     \n      Read More\n     \n  </:content>\n</.card>","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#module-vertical-card"},{"type":"module","title":"Horizontal Card - Beacon.LiveAdmin.StationUI.HTML.Card","doc":"<.card_horizontal>\n  <:header>\n     \n  </:header>\n  <:content>\n     \n       \n        Headline\n       \n       \n        Lorem ipsum, dolor sit amet consectetur adipisicing elit. Facilis fugiat, aliquam assumenda repellat rerum nostrum.\n       \n     \n\n     \n      <.button class=\"w-10 h-10 rounded-full border-0 sui-secondary\">\n        <.icon name=\"hero-face-smile-solid\" class=\"w-5 h-5 shrink-0\" />\n      </.button>\n      <.button class=\"w-10 h-10 rounded-full border-0 sui-secondary\">\n        <.icon name=\"hero-face-smile-solid\" class=\"w-5 h-5 shrink-0\" />\n      </.button>\n      <.button class=\"w-10 h-10 rounded-full border-0 sui-secondary\">\n        <.icon name=\"hero-face-smile-solid\" class=\"w-5 h-5 shrink-0\" />\n      </.button>\n     \n  </:content>\n</.card_horizontal>","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#module-horizontal-card"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Card.card/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#card/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Card.card/1","doc":"* `class` (`:any`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#card/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Card.card/1","doc":"* `header`\n* `content` (required) - Accepts attributes:\n\n  * `class` (`:string`)","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#card/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Card.card_horizontal/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#card_horizontal/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Card.card_horizontal/1","doc":"* `class` (`:any`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#card_horizontal/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Card.card_horizontal/1","doc":"* `inner_block` (required)\n* `header`\n* `content` - Accepts attributes:\n\n  * `class` (`:string`)","ref":"Beacon.LiveAdmin.StationUI.HTML.Card.html#card_horizontal/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Footer","doc":"The Footer component includes \"simple\" (default), and \"columns\" variant.\nThe default variant will list any footer_link slotted in horizontally, while\nthe columns variant will loop over a grouped list of links under a heading.","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html"},{"type":"module","title":"Default Footer example - Beacon.LiveAdmin.StationUI.HTML.Footer","doc":"<.footer logo_src={~p\"/images/my_logo.png\"} logo_alt_text=\"[Organization name] logo\">\n    <:footer_link>\n      <.link patch={~p\"/\"}>\n        Home\n      </.link>\n    </:footer_link>\n    <:footer_link>\n      <.link href=\"https://www.foo.com/blog\">\n        Blog\n      </.link>\n    </:footer_link>\n  </.footer>","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#module-default-footer-example"},{"type":"module","title":"columns variant - Beacon.LiveAdmin.StationUI.HTML.Footer","doc":"<.footer variant=\"columns\" logo_src={~p\"/images/my_logo.png\"}>\n    <:column heading=\"One\">\n      <.column_items>\n        <:footer_link>\n          <.link patch={~p\"/\"}>\n            Home\n          </.link>\n        </:footer_link>\n        <:footer_link >\n          <.link href=\"https://www.foo.com/blog\">\n            Blog\n          </.link>\n        </:footer_link>\n      </.column_items>\n    </:column>\n    <:column heading=\"Two\">\n      <.column_items>\n        <:footer_link>\n          <.link patch={~p\"/\"}>\n            Home\n          </.link>\n        </:footer_link>\n        <:footer_link>\n          <.link href=\"https://www.foo.com/blog\">\n            Blog\n          </.link>\n        </:footer_link>\n      </.column_items>\n    </:column>\n  </.footer>","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#module-columns-variant"},{"type":"module","title":"Both variants accept social links and icons - Beacon.LiveAdmin.StationUI.HTML.Footer","doc":"<.footer>\n    <:social_icon url=\"https://www.instagram.com\" title=\"Instagram\">\n       \n        ...\n       \n    </:social_icon>\n    <:social_icon url=\"https://www.facebook.com\" title=\"Facebook\" class=\"text-[#1877F2]\">\n       \n        ...\n       \n    </:social_icon>\n  </.footer>","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#module-both-variants-accept-social-links-and-icons"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Footer.column_items/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#column_items/1"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Footer.column_items/1","doc":"* `footer_link` - Accepts attributes:\n\n  * `class` (`:string`)","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#column_items/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Footer.footer/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#footer/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Footer.footer/1","doc":"* `variant` (`:string`) - Defaults to `\"simple\"`.\n* `logo_src` (`:string`) - Defaults to `nil`.\n* `logo_alt_text` (`:string`) - Defaults to `\"\"`.\n* `legal_text` (`:string`) - Defaults to `\"© 2025 Your Company, Inc. All rights reserved.\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#footer/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Footer.footer/1","doc":"* `inner_block`\n* `footer_link` - Accepts attributes:\n\n  * `class` (`:string`)\n* `column` - Accepts attributes:\n\n  * `heading` (`:string`) (required)\n* `social_icon` - Accepts attributes:\n\n  * `url` (`:string`) (required)\n  * `title` (`:string`) (required)\n  * `class` (`:string`)","ref":"Beacon.LiveAdmin.StationUI.HTML.Footer.html#footer/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Form","doc":"This module exists to provide the same API as the Phoenix Core Components so as to support\ngenerators that target the Core Components (`mix phx.gen.live`, `mix phx.gen.auth`, etc...)","ref":"Beacon.LiveAdmin.StationUI.HTML.Form.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Form.input/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Form.html#input/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Form.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Form.html#input/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Form.input/1","doc":"* `inner_block`","ref":"Beacon.LiveAdmin.StationUI.HTML.Form.html#input/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Form.translate_error/1","doc":"Translates an error message using gettext.","ref":"Beacon.LiveAdmin.StationUI.HTML.Form.html#translate_error/1"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Form.translate_errors/2","doc":"Translates the errors for a field from a keyword list of errors.","ref":"Beacon.LiveAdmin.StationUI.HTML.Form.html#translate_errors/2"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Icon","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Icon.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Icon.icon/1","doc":"Renders a [Heroicon](https://heroicons.com).\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.","ref":"Beacon.LiveAdmin.StationUI.HTML.Icon.html#icon/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.StationUI.HTML.Icon.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 animate-spin\" />","ref":"Beacon.LiveAdmin.StationUI.HTML.Icon.html#icon/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Icon.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Beacon.LiveAdmin.StationUI.HTML.Icon.html#icon/1-attributes"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Input","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.checkbox/1","doc":"A checkbox input component.\n\nSuggested classes for various sizes:\n  - XS\n    - class=\"h-[22px] w-[22px]\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"gap-x-1.5 text-sm\">\n    - <:caption class=\"mt-1 text-xs\">\n  - SM\n    - class=\"h-[26px] w-[26px]\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"gap-x-2 text-base\">\n    - <:caption class=\"mt-1 text-xs\">\n  - MD (default)\n    - class=\"h-8 w-8\"\n    - error_class=\"mt-0.5 first-of-type:mt-1.5 text-sm\"\n    - <:label class=\"gap-x-2.5 text-lg\">\n    - <:caption class=\"mt-1.5 text-sm\">\n  - LG\n    - class=\"h-10 w-10\"\n    - error_class=\"mt-0.5 first-of-type:mt-2 text-base\"\n    - <:label class=\"gap-x-3 text-xl\">\n    - <:caption class=\"mt-2 text-base\">\n  - XL\n    - class=\"h-[46px] w-[46px] focus:!ring-4 focus-visible:!ring-offset-4 data-[errors=true]:!border-4\"\n    - error_class=\"mt-0.5 first-of-type:mt-2.5 text-lg\"\n    - <:label class=\"gap-x-3.5 text-2xl\">\n    - <:caption class=\"mt-2.5 text-lg\">","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#checkbox/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.checkbox/1","doc":"* `class` (`:string`) - Defaults to `\"h-8 w-8\"`.\n* `checked` (`:boolean`)\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `name` (`:string`) (required)\n* `value` (`:any`)\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"required\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#checkbox/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.checkbox/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2.5 text-lg.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#checkbox/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.error/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#error/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.error/1","doc":"* `class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#error/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.error/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#error/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.generic_input/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#generic_input/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.generic_input/1","doc":"* `class` (`:string`) - Defaults to `\"text-lg p-2.5 placeholder:text-base focus:ring-2\"`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `name` (`:string`) (required)\n* `value` (`:any`) (required)\n* `type` (`:string`) (required) - Must be one of `\"color\"`, `\"date\"`, `\"datetime-local\"`, `\"email\"`, `\"file\"`, `\"hidden\"`, `\"month\"`, `\"number\"`, `\"password\"`, `\"range\"`, `\"search\"`, `\"tel\"`, `\"text\"`, `\"time\"`, `\"url\"`, or `\"week\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocapitalize\", \"autocomplete\", \"autocorrect\", \"capture\", \"dirname\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"size\", \"spellcheck\", \"step\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#generic_input/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.generic_input/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - mb-1.5 text-sm.\n* `prefix`\n* `suffix`","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#generic_input/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.label/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#label/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.label/1","doc":"* `class` (`:any`) - Defaults to `\"mb-1.5 text-sm\"`.\n* `for` (`:string`) - Defaults to `nil`.\n* `id` (`:string`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#label/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.label/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#label/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.radio/1","doc":"A radio input component.\n\nSuggested classes for various sizes:\n  - XS\n    - class=\"h-[22px] w-[22px] p-[2px]\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"gap-x-1.5 text-sm\">\n    - <:caption class=\"mt-1 text-xs\">\n  - SM\n    - class=\"h-[26px] w-[26px] p-[3px]\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"gap-x-2 text-base\">\n    - <:caption class=\"mt-1 text-xs\">\n  - MD (default)\n    - class=\"h-8 w-8 p-[3px]\"\n    - error_class=\"mt-0.5 first-of-type:mt-1.5 text-sm\"\n    - <:label class=\"gap-x-2.5 text-lg\">\n    - <:caption class=\"mt-1.5 text-sm\">\n  - LG\n    - class=\"h-10 w-10 p-1\"\n    - error_class=\"mt-0.5 first-of-type:mt-2 text-base\"\n    - <:label class=\"gap-x-3 text-xl\">\n    - <:caption class=\"mt-2 text-base\">\n  - XL\n    - class=\"h-[46px] w-[46px] p-1 focus:!ring-4 focus-visible:!ring-offset-4 data-[errors=true]:!border-4\"\n    - error_class=\"mt-0.5 first-of-type:mt-2.5 text-lg\"\n    - <:label class=\"gap-x-3.5 text-2xl\">\n    - <:caption class=\"mt-2.5 text-lg\">","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#radio/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.radio/1","doc":"* `class` (`:string`) - Defaults to `\"h-8 w-8 p-[3px]\"`.\n* `checked` (`:boolean`)\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `name` (`:string`) (required)\n* `value` (`:any`)\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"required\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#radio/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.radio/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2.5 text-lg.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#radio/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.simple_select/1","doc":"A simple select input component using an HTML Select element.\n\nSuggested classes for various sizes:\n  - XS\n    - chevron_class=\"right-2 h-4 w-4\"\n    - class=\"text-sm p-2 pr-[30px] focus:ring-2\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:caption class=\"mt-1 text-xs\">\n    - <:label class=\"mb-1 text-xs\">\n  - SM\n    - chevron_class=\"right-2 h-4.5 w-4.5\"\n    - class=\"text-base p-2 pr-8 focus:ring-2\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:caption class=\"mt-1 text-xs\">\n    - <:label class=\"mb-1 text-sm\">\n  - MD (default)\n    - chevron_class=\"right-3 h-4.5 w-4.5\"\n    - class=\"text-lg p-2.5 pr-[34px] focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-1.5 text-sm\"\n    - <:caption class=\"mt-1.5 text-sm\">\n    - <:label class=\"mb-1.5 text-sm\">\n  - LG\n    - chevron_class=\"right-3 h-6 w-6\"\n    - class=\"text-xl p-3 pr-11 focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-2 text-base\"\n    - <:caption class=\"mt-2 text-base\">\n    - <:label class=\"mb-2 text-base\">\n  - XL\n    - chevron_class=\"right-3.5 h-7 w-7\"\n    - class=\"text-2xl px-3.5 py-3 pr-[52px] focus:ring-4 data-[errors=true]:!border-4\"\n    - error_class=\"mt-0.5 first-of-type:mt-2.5 text-lg\"\n    - <:caption class=\"mt-2.5 text-lg\">\n    - <:label class=\"mb-2.5 text-lg\">","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#simple_select/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.simple_select/1","doc":"* `chevron_class` (`:string`) - Defaults to `\"right-3 h-4.5 w-4.5\"`.\n* `class` (`:string`) - Defaults to `\"text-lg p-2.5 pr-[34px] focus:ring-2\"`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `multiple` (`:boolean`) - Defaults to `false`.\n* `name` (`:string`) (required)\n* `options` (`:list`) (required) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `prompt` (`:string`) - Defaults to `nil`.\n* `value` (`:any`) (required)\n* Global attributes are accepted. Supports all globals plus: `[\"autocomplete\", \"form\", \"required\", \"size\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#simple_select/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.simple_select/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - mb-1.5 text-sm.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#simple_select/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.single_select/1","doc":"A single select input component using a `combobox` text input and a `listbox` of select options.\n\nSuggested classes for various sizes:\n  - XS\n    - chevron_class=\"right-2 h-4 w-4\"\n    - class=\"text-sm p-2 pr-[30px] focus:ring-2\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - option_list_class=\"text-xs\"\n    - <:caption class=\"mt-1 text-xs\">\n    - <:label class=\"mb-1 text-xs\">\n    - <:option class=\"px-3 py-2\">\n  - SM\n    - chevron_class=\"right-2 h-4.5 w-4.5\"\n    - class=\"text-base p-2 pr-8 focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-1 text-xs\"\n    - option_list_class=\"text-base\"\n    - <:label class=\"mb-1 text-sm\">\n    - <:caption class=\"mt-1 text-xs\">\n    - <:option class=\"px-3 py-2\">\n  - MD (default)\n    - chevron_class=\"right-3 h-4.5 w-4.5\"\n    - class=\"text-lg p-2.5 pr-[34px] focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-1.5 text-sm\"\n    - option_list_class=\"text-lg\"\n    - <:label class=\"mb-1.5 text-sm\">\n    - <:caption class=\"mt-1.5 text-sm\">\n    - <:option class=\"px-4 py-3.5\">\n  - LG\n    - chevron_class=\"right-3 h-6 w-6\"\n    - class=\"text-xl p-3 pr-11 focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-2 text-base\"\n    - option_list_class=\"text-xl\"\n    - <:label class=\"mb-2 text-base\">\n    - <:caption class=\"mt-2 text-base\">\n    - <:option class=\"px-5 py-4\">\n  - XL\n    - chevron_class=\"right-3.5 h-7 w-7\"\n    - class=\"text-2xl px-3.5 py-3 pr-[52px] focus:ring-4 data-[errors=true]:!border-4\"\n    - error_class=\"mt-0.5 first-of-type:mt-2.5 text-lg\"\n    - option_list_class=\"text-2xl\"\n    - <:label class=\"mb-2.5 text-lg\">\n    - <:caption class=\"mt-2.5 text-lg\">\n    - <:option class=\"px-8 py-5\">","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#single_select/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.single_select/1","doc":"* `chevron_class` (`:string`) - Defaults to `\"right-3 h-4.5 w-4.5\"`.\n* `class` (`:string`) - Defaults to `\"text-lg p-2.5 pr-[34px] focus:ring-2\"`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `name` (`:string`) (required)\n* `option_list_class` (`:string`) - Defaults to `\"text-lg\"`.\n* `option_list_id` (`:string`) (required)\n* `value` (`:any`) (required)\n* `wrapper_id` (`:string`)\n* Global attributes are accepted. Supports all globals plus: `[\"autocapitalize\", \"autocomplete\", \"autocorrect\", \"dirname\", \"form\", \"list\", \"maxlength\", \"minlength\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"size\", \"spellcheck\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#single_select/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.single_select/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - mb-1.5 text-sm.\n  * `id` (`:string`) (required)\n* `option` (required) - Accepts attributes:\n\n  * `class` (`:string`) - px-4 py-3.5.\n  * `disabled` (`:boolean`)\n  * `value` (`:string`) (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#single_select/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.slider/1","doc":"A slider range input component.\n\nSuggested classes for various sizes:\n  - XS\n    - class=\"[--slider-thumb-height:22px] [--slider-thumb-width:30px] [--slider-track-height:6px]\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"gap-x-1.5 text-sm\">\n    - <:caption class=\"mt-1 text-xs\">\n  - SM\n    - class=\"[--slider-thumb-height:28px] [--slider-thumb-width:38px] [--slider-track-height:8px]\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"gap-x-2 text-base\">\n    - <:caption class=\"mt-1 text-xs\">\n  - MD (default)\n    - class=\"[--slider-thumb-height:36px] [--slider-thumb-width:48px] [--slider-track-height:10px]\"\n    - error_class=\"mt-0.5 first-of-type:mt-1.5 text-sm\"\n    - <:label class=\"gap-x-2.5 text-lg\">\n    - <:caption class=\"mt-1.5 text-sm\">\n  - LG\n    - class=\"[--slider-thumb-height:42px] [--slider-thumb-width:56px] [--slider-track-height:12px]\"\n    - error_class=\"mt-0.5 first-of-type:mt-2 text-base\"\n    - <:label class=\"gap-x-3 text-xl\">\n    - <:caption class=\"mt-2 text-base\">\n  - XL\n    - class=\"[--slider-thumb-height:50px] [--slider-thumb-width:68px] [--slider-track-height:14px] [--slider-thumb-focus-ring-width:4px]\"\n    - error_class=\"mt-0.5 first-of-type:mt-2.5 text-lg\"\n    - <:label class=\"gap-x-3.5 text-2xl\">\n    - <:caption class=\"mt-2.5 text-lg\">","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#slider/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.slider/1","doc":"* `class` (`:string`) - Defaults to `\"[--slider-thumb-height:36px] [--slider-thumb-width:48px] [--slider-track-height:10px]\"`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `name` (`:string`) (required)\n* `value` (`:any`)\n* Global attributes are accepted. Supports all globals plus: `[\"form\", \"disabled\", \"list\", \"max\", \"min\", \"orient\", \"step\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#slider/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.slider/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2.5 text-lg.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#slider/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.textarea/1","doc":"A textarea input component.\n\nSuggested classes for various sizes:\n  - XS\n    - class=\"text-sm p-2 placeholder:text-xs focus:ring-2\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"mb-1 text-xs\">\n    - <:caption class=\"mt-1 text-xs\">\n  - SM\n    - class=\"text-base p-2 placeholder:text-sm focus:ring-2\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"mb-1 text-sm\">\n    - <:caption class=\"mt-1 text-xs\">\n  - MD (default)\n    - class=\"text-lg p-2.5 placeholder:text-base focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-1.5 text-sm\"\n    - <:label class=\"mb-1.5 text-sm\">\n    - <:caption class=\"mt-1.5 text-sm\">\n  - LG\n    - class=\"text-xl p-3 placeholder:text-lg focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-2 text-base\"\n    - <:label class=\"mb-2 text-base\">\n    - <:caption class=\"mt-2 text-base\">\n  - XL\n    - class=\"text-2xl px-3.5 py-3 placeholder:text-2xl focus:ring-4 data-[errors=true]:!border-4\"\n    - error_class=\"mt-0.5 first-of-type:mt-2.5 text-lg\"\n    - <:label class=\"mb-2.5 text-lg\">\n    - <:caption class=\"mt-2.5 text-lg\">","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#textarea/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.textarea/1","doc":"* `class` (`:string`) - Defaults to `\"text-lg p-2.5 placeholder:text-base focus:ring-2\"`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `name` (`:string`) (required)\n* `value` (`:string`) (required)\n* Global attributes are accepted. Supports all globals plus: `[\"autocapitalize\", \"autocomplete\", \"autocorrect\", \"cols\", \"dirname\", \"disabled\", \"form\", \"maxlength\", \"minlength\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"spellcheck\", \"wrap\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#textarea/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.textarea/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - mb-1.5 text-sm.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#textarea/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Input.textfield/1","doc":"A text input component.\n\nSuggested classes for various sizes:\n  - XS\n    - class=\"text-sm p-2 placeholder:text-xs focus:ring-2\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"mb-1 text-xs\">\n    - <:caption class=\"mt-1 text-xs\">\n  - SM\n    - class=\"text-base p-2 placeholder:text-sm focus:ring-2\"\n    - error_class=\"mt-0 first-of-type:mt-1 text-xs\"\n    - <:label class=\"mb-1 text-sm\">\n    - <:caption class=\"mt-1 text-xs\">\n  - MD (default)\n    - class=\"text-lg p-2.5 placeholder:text-base focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-1.5 text-sm\"\n    - <:label class=\"mb-1.5 text-sm\">\n    - <:caption class=\"mt-1.5 text-sm\">\n  - LG\n    - class=\"text-xl p-3 placeholder:text-lg focus:ring-2\"\n    - error_class=\"mt-0.5 first-of-type:mt-2 text-base\"\n    - <:label class=\"mb-2 text-base\">\n    - <:caption class=\"mt-2 text-base\">\n  - XL\n    - class=\"text-2xl px-3.5 py-3 placeholder:text-2xl focus:ring-4 data-[errors=true]:!border-4\"\n    - error_class=\"mt-0.5 first-of-type:mt-2.5 text-lg\"\n    - <:label class=\"mb-2.5 text-lg\">\n    - <:caption class=\"mt-2.5 text-lg\">","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#textfield/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Input.textfield/1","doc":"* `class` (`:string`) - Defaults to `\"text-lg p-2.5 placeholder:text-base focus:ring-2\"`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `error_class` (`:string`) - Defaults to `\"mt-0.5 first-of-type:mt-1.5 text-sm\"`.\n* `errors` (`:list`) - Defaults to `[]`.\n* `id` (`:string`) (required)\n* `name` (`:string`) (required)\n* `value` (`:string`) (required)\n* Global attributes are accepted. Supports all globals plus: `[\"autocapitalize\", \"autocomplete\", \"autocorrect\", \"dirname\", \"disabled\", \"form\", \"list\", \"maxlength\", \"minlength\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"size\", \"spellcheck\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#textfield/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Input.textfield/1","doc":"* `caption` - Accepts attributes:\n\n  * `class` (`:string`) - mt-1.5 text-sm.\n* `label` - Accepts attributes:\n\n  * `class` (`:string`) - mb-1.5 text-sm.\n* `prefix`\n* `suffix`","ref":"Beacon.LiveAdmin.StationUI.HTML.Input.html#textfield/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Modal","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Modal.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Modal.hide_modal/2","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Modal.html#hide_modal/2"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Modal.modal/1","doc":"The modals component renders a block of content that displays on top of the page. The modal can be dismissed by clicking on the close button or hitting ESC on the keyboard.","ref":"Beacon.LiveAdmin.StationUI.HTML.Modal.html#modal/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Modal.modal/1","doc":"* `id` (`:string`) (required)\n* `size` (`:string`) - Defaults to `\"md\"`.\n* `show` (`:boolean`) - Defaults to `false`.\n* `show_backdrop` (`:boolean`) - Defaults to `true`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Modal.html#modal/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Modal.modal/1","doc":"* `inner_block` (required)\n* `title`\n* `subtitle`\n* `footer` - Accepts attributes:\n\n  * `variant` (`:string`) - Must be one of `\"right\"`, `\"justified\"`, `\"full\"`, or `\"stacked\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Modal.html#modal/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Modal.show_modal/2","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Modal.html#show_modal/2"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Navbar","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar/1","doc":"Implements a navbar component.\n  The navbar can consist of two sides left and right.\n  Both can be implemented using the left and right components supplied by this module.\n\n  Example use:\n  <.navbar aria_label=\"Main navigation\" class=\"sticky top-0 border-transparent bg-white\">\n     \n      Brand\n     \n    <.navbar_left>\n      <:item>\n        <.button class=\"sui-secondary\">Home</.button>\n      </:item>\n      <:item>\n        <.button class=\"sui-secondary\">Services</.button>\n      </:item>\n    </.navbar_left>\n    <.navbar_right>\n      <:item>\n        <.button\n          class=\"sui-secondary h-10 w-10 rounded-full\"\n        >\n          <.icon name=\"hero-bars-3\" class=\"h-6 w-6 shrink-0\" />\n        </.button>\n      </:item>\n    </.navbar_right>\n  </.navbar>","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar/1","doc":"* `aria_label` (`:string`) - Defaults to `\"Primary Menu\"`.\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar_left/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar_left/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar_left/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar_left/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar_left/1","doc":"* `item`","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar_left/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar_right/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar_right/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar_right/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar_right/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Navbar.navbar_right/1","doc":"* `item`","ref":"Beacon.LiveAdmin.StationUI.HTML.Navbar.html#navbar_right/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.NotificationBadge","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.NotificationBadge.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.NotificationBadge.notification_badge/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.NotificationBadge.html#notification_badge/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.NotificationBadge.notification_badge/1","doc":"* `class` (`:any`) - Defaults to `\"h-6 w-6 text-sm\"`.\n* `dot_class` (`:any`) - Defaults to `\"h-1 w-1 group-hover/notification-badge:scale-[2]\"`.\n* `count` (`:integer`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.StationUI.HTML.NotificationBadge.html#notification_badge/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.NotificationBadge.notification_badge/1","doc":"* `inner_block`","ref":"Beacon.LiveAdmin.StationUI.HTML.NotificationBadge.html#notification_badge/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Pagination","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Pagination.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Pagination.pagination/1","doc":"The pagination component renders clickable numbered elements to progress through content that spans multiple pages.\n\nThe default size for each pagination button is \"md\" but the size can be changed by supplying the\n`class` attribute to each slot.\n\nSuggested size classes:\n  xl: gap-x-4 px-8 py-3 text-4xl lg:focus-visible:ring-4\n  lg: gap-x-4 px-7 py-2.5 text-2xl\n  md: gap-x-2 px-6 py-2 text-base\n  sm: gap-x-2 px-5 py-2 text-sm\n  xs: gap-x-2 px-4 py-2 text-xs","ref":"Beacon.LiveAdmin.StationUI.HTML.Pagination.html#pagination/1"},{"type":"function","title":"Example Usage - Beacon.LiveAdmin.StationUI.HTML.Pagination.pagination/1","doc":"Example contents of a LiveView for the `~p\"/posts\"` route:\n\n```elixir\n@impl true\ndef mount(_params, _session, socket) do\n  {:ok, socket}\nend\n\n@impl true\ndef handle_params(params, _url, socket) do\n  {:noreply, assign_paginated_posts(socket, params)}\nend\n\ndefp assign_paginated_posts(socket, params) do\n  page = get_pagination_param(params, \"page\", 1)\n  page_size = get_pagination_param(params, \"page_size\", 10)\n  offset = (page - 1) * page_size\n\n  socket\n  |> assign(:pagination_params, %{\"page\" => page, \"page_size\" => page_size})\n  |> assign(:posts, Posts.list_posts(offset: offset, limit: page_size))\n  |> assign(:posts_count, Posts.count_posts())\nend\n\ndefp get_pagination_param(params, param, default) do\n  value = to_string(params[param] || default)\n\n  case Integer.parse(value) do\n    {page, _} -> max(page, 1)\n    _ -> default\n  end\nend\n```\n\nExample usage in the rendered template:\n```heex\n<.pagination\n  link_fn={&~p\"/posts?#{&1}\"}\n  params={@pagination_params}\n  total_count={@posts_count}\n>\n  <:first>\n    <.icon class=\"h-5 w-5\" name=\"hero-chevron-double-left-solid\" />\n    First\n  </:first>\n\n  <:previous>\n    <.icon class=\"h-4 w-4\" name=\"hero-chevron-left-solid\" />\n\n     Prev \n  </:previous>\n\n  <:page_links />\n\n  <:next>\n     Next \n\n    <.icon class=\"h-4 w-4\" name=\"hero-chevron-right-solid\" />\n  </:next>\n\n  <:last>\n    Last\n    <.icon class=\"h-5 w-5\" name=\"hero-chevron-double-right-solid\" />\n  </:last>\n</.pagination>\n```","ref":"Beacon.LiveAdmin.StationUI.HTML.Pagination.html#pagination/1-example-usage"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Pagination.pagination/1","doc":"* `class` (`:string`) - Defaults to `\"inline-flex gap-x-2.5\"`.\n* `id` (`:string`) - required if more than one pagination component is on a single page. Defaults to `\"pagination-component\"`.\n* `label` (`:string`) - Defaults to `\"Pagination Navigation\"`.\n* `link_fn` (`:any`) (required) - function that takes a single argument of pagination params and returns a url or path link.\n* `max_pages` (`:integer`) - maximum number of pages to show at a time. Defaults to `7`.\n* `params` (`:map`) (required) - map of the current pagination params (ex. `%{\"page\" => 1, \"page_size\" => 10}`).\n* `total_count` (`:integer`) (required) - total number of records in the list being paginated.","ref":"Beacon.LiveAdmin.StationUI.HTML.Pagination.html#pagination/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Pagination.pagination/1","doc":"* `first` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2 px-6 py-2 text-base.\n* `last` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2 px-6 py-2 text-base.\n* `next` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2 px-6 py-2 text-base.\n* `page_links` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2 px-6 py-2 text-base.\n* `previous` - Accepts attributes:\n\n  * `class` (`:string`) - gap-x-2 px-6 py-2 text-base.","ref":"Beacon.LiveAdmin.StationUI.HTML.Pagination.html#pagination/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Spinner","doc":"The spinner component offers two options (spinner and spinner_double) to render\nan animated looping SVG to represent a loading state.\nSpinners are used to notify users when something is in progress or fetching data.\nWhen a page or element is updating, the loading animation appears and then resolves once that\naction is complete.\nEach spinner option has a default size but this can be overridden.","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html"},{"type":"module","title":"Spinner: - Beacon.LiveAdmin.StationUI.HTML.Spinner","doc":"The Spinner is used primarily within UI elements - such as file unloaders / drag and drops\n- to indicate progress when updating content.\n\nThis   element is not visible on screen but will still be announced by screen readers to notify\nAssistive Technology users of the loading status.\n\nSpinner options:\n\n-- class: Add classes to spinner component in addition to the base defined classes.\n          default/medium size: \"h-6 w-6\" (overridden when specifying a class)","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#module-spinner"},{"type":"module","title":"Spinner Example - Beacon.LiveAdmin.StationUI.HTML.Spinner","doc":"<.spinner class=\"h-11 w-11\" />\n\nSuggested size classes:\n\nxl: \"h-11 w-11\"\nlg: \"h-8 w-8\"\nsm: \"h-5 w-5\"\nxs: \"h-4 w-4\"","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#module-spinner-example"},{"type":"module","title":"Double Spinner: - Beacon.LiveAdmin.StationUI.HTML.Spinner","doc":"The Double Spinner is used primarily when a page needs to load before displaying new content.\nIt is by default larger than the Spinner and has two rings instead of one.\n\nThis   element is not visible on screen but will still be announced by screen readers to notify\nAssistive Technology users of the loading status.\n\nDouble spinner options:\n\n-- class: Add classes to double spinner component in addition to the base defined classes.\n          default/medium size: h-[114px] w-[114px] (overridden when specifying a class)","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#module-double-spinner"},{"type":"module","title":"Double Spinner Example - Beacon.LiveAdmin.StationUI.HTML.Spinner","doc":"<.spinner_double class=\"h-16 w-16\" />\n\nSuggested size classes:\n\nxl: \"h-[244px] w-[244px]\"\nlg: \"h-[184px] w-[184px]\"\nsm: \"h-[84px] w-[84px]\"\nxs: \"h-16 w-16\"","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#module-double-spinner-example"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Spinner.base_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#base_classes/0"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Spinner.spinner/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#spinner/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Spinner.spinner/1","doc":"* `class` (`:any`) - Defaults to `\"h-6 w-6\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#spinner/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Spinner.spinner_double/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#spinner_double/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Spinner.spinner_double/1","doc":"* `class` (`:any`) - Defaults to `\"h-[114px] w-[114px]\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Spinner.html#spinner_double/1-attributes"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.StatusBadge","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.StatusBadge.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.StatusBadge.status_badge/1","doc":"The status badge component renders different-colored circles to represent different statuses.\n\nSuggested classes for various sizes:\n  - xs -> \"w-2 [&>span]:w-0.5\"\n  - sm -> \"w-2.5 [&>span]:w-0.5\"\n  - md -> \"w-3 [&>span]:w-0.5\" (default)\n  - lg -> \"w-4 [&>span]:w-0.5\"\n  - xl -> \"w-5 [&>span]:w-1\"","ref":"Beacon.LiveAdmin.StationUI.HTML.StatusBadge.html#status_badge/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.StatusBadge.status_badge/1","doc":"* `status` (`:string`) - Defaults to `\"active\"`.\n* `class` (`:any`) - Defaults to `\"w-3 [&>span]:w-0.5\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.StatusBadge.html#status_badge/1-attributes"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.base_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#base_classes/0"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_base_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_base_classes/0"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_default_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_default_classes/0"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_divider_base_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_divider_base_classes/0"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_divider_default_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_divider_default_classes/0"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_group/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_group/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_group/1","doc":"* `class` (`:any`) - Defaults to `\"gap-x-5\"`.\n* `default_index` (`:string`) - the index of the tab that should be active when initially rendered. Defaults to `\"0\"`.\n* `id` (`:any`) (required)\n* `on_select` (`:any`) - the function for handling additional behavior for phx-click on each tab. Defaults to `nil`.","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_group/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_group/1","doc":"* `tab` (required) - Accepts attributes:\n\n  * `class` (`:any`) - text-base.\n  * `index` (`:string`) - the unique index of the tab for matching with a tab panel (defaults to the zero-based numerical position of the slot).\n* `tab_divider` - Accepts attributes:\n\n  * `class` (`:any`) - h-5.\n* `tab_panel` (required) - Accepts attributes:\n\n  * `class` (`:any`)\n  * `index` (`:string`) - the unique index of the tab panel for matching with a tab (defaults to the zero-based numerical position of the slot).","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_group/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.tab_panel_base_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TabGroup.html#tab_panel_base_classes/0"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.TableCell","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TableCell.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TableCell.table_cell/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TableCell.html#table_cell/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.TableCell.table_cell/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.TableCell.html#table_cell/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.TableCell.table_cell/1","doc":"* `container` (required) - Accepts attributes:\n\n  * `class` (`:string`)\n* `metadata` - Accepts attributes:\n\n  * `class` (`:string`)\n* `support` - Accepts attributes:\n\n  * `class` (`:string`)","ref":"Beacon.LiveAdmin.StationUI.HTML.TableCell.html#table_cell/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.TableHeader","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TableHeader.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.TableHeader.table_header/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.TableHeader.html#table_header/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.TableHeader.table_header/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.TableHeader.html#table_header/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.TableHeader.table_header/1","doc":"* `label` (required) - Accepts attributes:\n\n  * `class` (`:string`)\n* `button` - Accepts attributes:\n\n  * `class` (`:string`)","ref":"Beacon.LiveAdmin.StationUI.HTML.TableHeader.html#table_header/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Tag","doc":"For bordered tags, add \"border-2\"\n\nFor rounded tags, add \"rounded-full py-1\"","ref":"Beacon.LiveAdmin.StationUI.HTML.Tag.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Tag.tag/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Tag.html#tag/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Tag.tag/1","doc":"* `as` (`:string`)\n* `class` (`:any`) - Defaults to `\"gap-x-1.5 px-2.5 rounded py-1\"`.\n* `on_click` (`Phoenix.LiveView.JS`) - Defaults to `nil`.\n* `on_delete` (`Phoenix.LiveView.JS`) - Defaults to `nil`.\n* `tabindex` (`:string`)\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\"]`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Tag.html#tag/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Tag.tag/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Tag.html#tag/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Toast","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Toast.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Toast.toast/1","doc":"A toast message component.\nThe primary (left) paragraph content goes into the main inner_block slot.\nThe optional secondary (right) content goes into the secondary slot.","ref":"Beacon.LiveAdmin.StationUI.HTML.Toast.html#toast/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.StationUI.HTML.Toast.toast/1","doc":"Toast with left icon and right button:\n\n  <.toast>\n    <.icon name=\"hero-information-circle-solid\" class=\"size-7 text-rose-700\" />\n    This is the toast content\n    <:secondary>\n      <.button class=\"sui-primary\">\n        Button\n      </.button>\n    </:secondary>\n  </.toast>\n\nToast without border:\n\n  <.toast class=\"text-lg border-transparent\">\n    ...\n  </.toast>\n\nSuggested classes for various text sizes and the default border styling:\n  - xs -> \"text-sm border-[--sui-brand-primary-border]\"\n  - sm -> \"text-base border-[--sui-brand-primary-border]\"\n  - md -> \"text-lg border-[--sui-brand-primary-border]\" (default)\n  - lg -> \"text-2xl border-[--sui-brand-primary-border]\"\n  - xl -> \"text-3xl border-[--sui-brand-primary-border]\"","ref":"Beacon.LiveAdmin.StationUI.HTML.Toast.html#toast/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Toast.toast/1","doc":"* `class` (`:any`) - Defaults to `\"text-lg border-[--sui-brand-primary-border]\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Toast.html#toast/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Toast.toast/1","doc":"* `inner_block` (required)\n* `secondary`","ref":"Beacon.LiveAdmin.StationUI.HTML.Toast.html#toast/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Toolbar","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar/1","doc":"* `class` (`:string`) - Defaults to `\"border text-sm [&_span]:size-8\"`.\n* Global attributes are accepted.","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar/1","doc":"* `toolbar_item` (required) - Accepts attributes:\n\n  * `class` (`:string`)\n  * `icon_name` (`:string`)\n  * `text` (`:string`) (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"Sets up Toolbar component.  The Toolbar includes default and vertical variants","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0"},{"type":"function","title":"Default Toolbar Example - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"<.toolbar>\n    <:toolbar_item icon_name=\"hero-face-smile-solid\" text=\"Label\" />\n    ...\n  </.toolbar>","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-default-toolbar-example"},{"type":"function","title":"Default Toolbar w/o border Example - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"<.toolbar class=\"border-0\">\n    <:toolbar_item icon_name=\"hero-face-smile-solid\" text=\"Label\" />\n    ...\n  </.toolbar>","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-default-toolbar-w-o-border-example"},{"type":"function","title":"Vertical Toolbar Example - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"<.toolbar_vertical image_src={~p\"/images/narwin_logo.png\"} alt_name=\"brand logo\">\n    <:toolbar_item icon_name=\"hero-face-smile\" text=\"Label\" />\n    ...\n  </.toolbar_vertical>","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-vertical-toolbar-example"},{"type":"function","title":"Suggested size classes: - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"Because of the nested <.button> and <.icon> components, the Toolbar's parent\n  container will handle the bulk of styling. We can use the parent to modify the size\n  of the nested elements.","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-suggested-size-classes"},{"type":"function","title":"Default Toolbar Sizes: - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"We can use the arbitrary class [&_span] to target\n  the icon styles.\n\n  xl: text-base [&_span]:size-12\n  lg: text-sm [&_span]:size-[38px]\n  sm: text-xs [&_span]:size-6","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-default-toolbar-sizes"},{"type":"function","title":"Example - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"<.toolbar class=\"text-base [&_span]:size-12\">\n    ...\n  </.toolbar>","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-example"},{"type":"function","title":"Default Vertical Toolbar Sizes: - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"We can use the arbitrary selectors [&_div] to target the logo size &\n  [&_span] to target the icon styles.\n\n  xl: [&_div]:size-[72px] [&_span]:size-7\n  lg: [&_div]:size-[62px] [&_span]:size-4.5\n  sm: [&_div]:size-11 [&_span]:size-3.5","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-default-vertical-toolbar-sizes"},{"type":"function","title":"Example - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_base_classes/0","doc":"<.toolbar_vertical ... class=\"[&_div]:size-[72px] [&_span]:size-7\">\n    ...\n  </.toolbar_vertical>","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_base_classes/0-example"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_vertical/1","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_vertical/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_vertical/1","doc":"* `class` (`:string`) - Defaults to `nil`.\n* `alt_name` (`:string`) (required)\n* `image_src` (`:string`) - Defaults to `\"\"`.\n* Global attributes are accepted.","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_vertical/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_vertical/1","doc":"* `toolbar_item` (required) - Accepts attributes:\n\n  * `class` (`:string`)\n  * `icon_name` (`:string`)\n  * `text` (`:string`) (required)","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_vertical/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.toolbar_vertical_base_classes/0","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Toolbar.html#toolbar_vertical_base_classes/0"},{"type":"module","title":"Beacon.LiveAdmin.StationUI.HTML.Tooltip","doc":"","ref":"Beacon.LiveAdmin.StationUI.HTML.Tooltip.html"},{"type":"function","title":"Beacon.LiveAdmin.StationUI.HTML.Tooltip.tooltip/1","doc":"The tooltip component renders a small unit of informational content that is hidden until a user hovers over the activating content.","ref":"Beacon.LiveAdmin.StationUI.HTML.Tooltip.html#tooltip/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.StationUI.HTML.Tooltip.tooltip/1","doc":"* `id` (`:string`) (required)\n* `direction` (`:string`) - Defaults to `\"bottom\"`.","ref":"Beacon.LiveAdmin.StationUI.HTML.Tooltip.html#tooltip/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.StationUI.HTML.Tooltip.tooltip/1","doc":"* `inner_block`","ref":"Beacon.LiveAdmin.StationUI.HTML.Tooltip.html#tooltip/1-slots"},{"type":"module","title":"Beacon.LiveAdmin.VisualEditor.Id","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.Id.html"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.Id.build_form/1","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.Id.html#build_form/1"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.Id.changeset/1","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.Id.html#changeset/1"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.Id.changeset/2","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.Id.html#changeset/2"},{"type":"module","title":"Beacon.LiveAdmin.VisualEditor.NameValue","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.NameValue.html"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.NameValue.build_form/1","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.NameValue.html#build_form/1"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.NameValue.changeset/1","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.NameValue.html#changeset/1"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.NameValue.changeset/2","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.NameValue.html#changeset/2"},{"type":"module","title":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent.html"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent.handle_event/3","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent.html#handle_event/3"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent.render/1","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent.html#render/1"},{"type":"function","title":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent.update/2","doc":"","ref":"Beacon.LiveAdmin.VisualEditor.PropertiesSidebarComponent.html#update/2"},{"type":"task","title":"mix beacon_live_admin.install","doc":"Installs Beacon LiveAdmin in a Phoenix LiveView app.","ref":"Mix.Tasks.BeaconLiveAdmin.Install.html"},{"type":"task","title":"Examples - mix beacon_live_admin.install","doc":"```bash\nmix beacon_live_admin.install\n```\n\n```bash\nmix beacon_live_admin.install --path /cms_admin\n```","ref":"Mix.Tasks.BeaconLiveAdmin.Install.html#module-examples"},{"type":"task","title":"Options - mix beacon_live_admin.install","doc":"* `--path` (optional, defaults to \"/admin\") - Where admin will be mounted. Follows the same convention as Phoenix route prefixes.","ref":"Mix.Tasks.BeaconLiveAdmin.Install.html#module-options"},{"type":"module","title":"Beacon.LiveAdmin.Cluster","doc":"Cluster management. Discover all sites running in the cluster and executes functions globally.","ref":"Beacon.LiveAdmin.Cluster.html"},{"type":"function","title":"Beacon.LiveAdmin.Cluster.call/4","doc":"Calls a function for a running `site` in the cluster.\n\nIt will call the function in only one of the available nodes to avoid double execution of `fun`.","ref":"Beacon.LiveAdmin.Cluster.html#call/4"},{"type":"function","title":"Examples - Beacon.LiveAdmin.Cluster.call/4","doc":"iex> Beacon.LiveAdmin.Cluster.call(:my_site, Beacon, :boot, [:my_site])\n    :ok","ref":"Beacon.LiveAdmin.Cluster.html#call/4-examples"},{"type":"function","title":"Beacon.LiveAdmin.Cluster.running_sites/0","doc":"Returns a list of sites running in all connected nodes in the cluster.\n\nIt doesn't try to refresh the list of running sites,\nit only returns the results cached when calling `discover_sites/0`.","ref":"Beacon.LiveAdmin.Cluster.html#running_sites/0"},{"type":"module","title":"Beacon.LiveAdmin.Plug","doc":"Required plug to load Admin pages allow navigation.\n\nMust be added in the pipeline, see the [Installation guide](file:///Users/apb/dev/beacon_live_admin/doc/installation.html#mount-admin-in-the-router) for more details.","ref":"Beacon.LiveAdmin.Plug.html"},{"type":"module","title":"Beacon.LiveAdmin.Router","doc":"Routing for Beacon LiveAdmin.","ref":"Beacon.LiveAdmin.Router.html"},{"type":"macro","title":"Beacon.LiveAdmin.Router.beacon_live_admin/2","doc":"Mount Beacon LiveAdmin routes to manage running sites in the cluster.","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin/2"},{"type":"macro","title":"Examples - Beacon.LiveAdmin.Router.beacon_live_admin/2","doc":"defmodule MyAppWeb.Router do\n      use Phoenix.Router\n      use Beacon.LiveAdmin.Router\n\n      scope \"/\", MyAppWeb do\n        pipe_through :browser\n        beacon_live_admin \"/admin\", on_mount: [SomeHook]\n      end\n    end","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin/2-examples"},{"type":"macro","title":"Options - Beacon.LiveAdmin.Router.beacon_live_admin/2","doc":"* `:name` (required) `atom()` - register your instance with a unique name.\n    Note that the name has to match the one used in your instance configuration.\n  * `:on_mount` (optional) - an optional list of `on_mount` hooks passed to `live_session`.\n    This will allow for authenticated routes, among other uses.","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin/2-options"},{"type":"function","title":"Beacon.LiveAdmin.Router.beacon_live_admin_path/1","doc":"Generates the root path with the admin prefix.","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin_path/1"},{"type":"function","title":"Example - Beacon.LiveAdmin.Router.beacon_live_admin_path/1","doc":"iex> Beacon.LiveAdmin.Router.beacon_live_admin_path(@socket)\n    \"/my_admin\"","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin_path/1-example"},{"type":"function","title":"Beacon.LiveAdmin.Router.beacon_live_admin_path/4","doc":"Generates a `path` with the proper admin prefix for a `site`.","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin_path/4"},{"type":"function","title":"Examples - Beacon.LiveAdmin.Router.beacon_live_admin_path/4","doc":"iex> Beacon.LiveAdmin.Router.beacon_live_admin_path(@socket, :my_site, \"/pages\")\n    \"/my_admin/my_site/pages\"\n\n    iex> Beacon.LiveAdmin.Router.beacon_live_admin_path(@socket, :my_site, \"/pages\", status: :draft)\n    \"/my_admin/my_site/pages?status=draft\"","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin_path/4-examples"},{"type":"function","title":"Beacon.LiveAdmin.Router.beacon_live_admin_static_path/1","doc":"Generate the path to serve files in `priv/static`.\n\nSee the actual configuration in `Beacon.LiveAdmin.Plug`.","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin_static_path/1"},{"type":"function","title":"Example - Beacon.LiveAdmin.Router.beacon_live_admin_static_path/1","doc":"iex> Beacon.LiveAdmin.Router.beacon_live_admin_static_path(\"/images/logo.webp\")\n    \"__beacon_live_admin_static__/images/logo.webp\"","ref":"Beacon.LiveAdmin.Router.html#beacon_live_admin_static_path/1-example"},{"type":"type","title":"Beacon.LiveAdmin.Router.conn_or_socket/0","doc":"","ref":"Beacon.LiveAdmin.Router.html#t:conn_or_socket/0"},{"type":"module","title":"Beacon.LiveAdmin.AdminComponents","doc":"Provides Admin UI components.\n\nThis file contains new components and also overrided Core components.","ref":"Beacon.LiveAdmin.AdminComponents.html"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.back/1","doc":"Renders a back navigation link.","ref":"Beacon.LiveAdmin.AdminComponents.html#back/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.AdminComponents.back/1","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","ref":"Beacon.LiveAdmin.AdminComponents.html#back/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.back/1","doc":"* `navigate` (`:any`) (required)","ref":"Beacon.LiveAdmin.AdminComponents.html#back/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.AdminComponents.back/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.AdminComponents.html#back/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.flash/1","doc":"Renders flash notices.","ref":"Beacon.LiveAdmin.AdminComponents.html#flash/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.AdminComponents.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"Beacon.LiveAdmin.AdminComponents.html#flash/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.flash/1","doc":"* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash\"`.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"Beacon.LiveAdmin.AdminComponents.html#flash/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.AdminComponents.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"Beacon.LiveAdmin.AdminComponents.html#flash/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.flash_group/1","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#flash_group/1"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.header/1","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#header/1"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.hide/1","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#hide/1"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.hide/2","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#hide/2"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.hide_modal/1","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#hide_modal/1"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.list/1","doc":"Renders a data list.","ref":"Beacon.LiveAdmin.AdminComponents.html#list/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.AdminComponents.list/1","doc":"<.list>\n      <:item title=\"Title\"><%= @post.title %></:item>\n      <:item title=\"Views\"><%= @post.views %></:item>\n    </.list>","ref":"Beacon.LiveAdmin.AdminComponents.html#list/1-examples"},{"type":"function","title":"Slots - Beacon.LiveAdmin.AdminComponents.list/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","ref":"Beacon.LiveAdmin.AdminComponents.html#list/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.main_content/1","doc":"Renders a rounded white panel that is pinned to the bottom of the screen and scrolls.","ref":"Beacon.LiveAdmin.AdminComponents.html#main_content/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.main_content/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"Beacon.LiveAdmin.AdminComponents.html#main_content/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.AdminComponents.main_content/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.AdminComponents.html#main_content/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.show/1","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#show/1"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.show/2","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#show/2"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.simple_form/1","doc":"Renders a simple form.","ref":"Beacon.LiveAdmin.AdminComponents.html#simple_form/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.AdminComponents.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"Beacon.LiveAdmin.AdminComponents.html#simple_form/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.simple_form/1","doc":"* `for` (`:any`) (required) - the datastructure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\"]`.","ref":"Beacon.LiveAdmin.AdminComponents.html#simple_form/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.AdminComponents.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"Beacon.LiveAdmin.AdminComponents.html#simple_form/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.site_selector/1","doc":"Renders a select input with the available sites to select.","ref":"Beacon.LiveAdmin.AdminComponents.html#site_selector/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.AdminComponents.site_selector/1","doc":"<.site_selector selected_site=\"dev\" options={[:dev, :dy]} />","ref":"Beacon.LiveAdmin.AdminComponents.html#site_selector/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.site_selector/1","doc":"* `selected_site` (`:string`) - Defaults to `\"\"`.\n* `options` (`:list`) - Defaults to `[]`.","ref":"Beacon.LiveAdmin.AdminComponents.html#site_selector/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.table/1","doc":"Renders a table with generic styling.","ref":"Beacon.LiveAdmin.AdminComponents.html#table/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.AdminComponents.table/1","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\"><%= user.id %></:col>\n      <:col :let={user} label=\"username\"><%= user.username %></:col>\n    </.table>","ref":"Beacon.LiveAdmin.AdminComponents.html#table/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","ref":"Beacon.LiveAdmin.AdminComponents.html#table/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.AdminComponents.table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"Beacon.LiveAdmin.AdminComponents.html#table/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.table_pagination/1","doc":"Renders pagination to nagivate table results.","ref":"Beacon.LiveAdmin.AdminComponents.html#table_pagination/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.table_pagination/1","doc":"* `socket` (`Phoenix.LiveView.Socket`) (required)\n* `page` (`Beacon.LiveAdmin.PageBuilder.Page`) (required)\n* `limit` (`:integer`) - Defaults to `11`.","ref":"Beacon.LiveAdmin.AdminComponents.html#table_pagination/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.table_search/1","doc":"Renders a search input text to filter table results.","ref":"Beacon.LiveAdmin.AdminComponents.html#table_search/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.table_search/1","doc":"* `table` (`Beacon.LiveAdmin.PageBuilder.Table`) (required)\n* `placeholder` (`:string`)","ref":"Beacon.LiveAdmin.AdminComponents.html#table_search/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.table_sort/1","doc":"Renders a select input to sort table results.","ref":"Beacon.LiveAdmin.AdminComponents.html#table_sort/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.table_sort/1","doc":"* `table` (`Beacon.LiveAdmin.PageBuilder.Table`) (required)\n* `options` (`:list`) (required)","ref":"Beacon.LiveAdmin.AdminComponents.html#table_sort/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.thumbnail/1","doc":"Renders a thumbnail image.","ref":"Beacon.LiveAdmin.AdminComponents.html#thumbnail/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.AdminComponents.thumbnail/1","doc":"* `source` (`:string`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.AdminComponents.html#thumbnail/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.AdminComponents.translate_errors/2","doc":"","ref":"Beacon.LiveAdmin.AdminComponents.html#translate_errors/2"},{"type":"module","title":"Beacon.LiveAdmin.CoreComponents","doc":"Core Components","ref":"Beacon.LiveAdmin.CoreComponents.html"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.back/1","doc":"Renders a back navigation link.","ref":"Beacon.LiveAdmin.CoreComponents.html#back/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.back/1","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","ref":"Beacon.LiveAdmin.CoreComponents.html#back/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.back/1","doc":"* `navigate` (`:any`) (required)","ref":"Beacon.LiveAdmin.CoreComponents.html#back/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.back/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.CoreComponents.html#back/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.button/1","doc":"Renders a button.","ref":"Beacon.LiveAdmin.CoreComponents.html#button/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.button/1","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" class=\"ml-2\">Send!</.button>","ref":"Beacon.LiveAdmin.CoreComponents.html#button/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"Beacon.LiveAdmin.CoreComponents.html#button/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.button/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.CoreComponents.html#button/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.error/1","doc":"Generates a generic error message.","ref":"Beacon.LiveAdmin.CoreComponents.html#error/1"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.error/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.CoreComponents.html#error/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.flash/1","doc":"Renders flash notices.","ref":"Beacon.LiveAdmin.CoreComponents.html#flash/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"Beacon.LiveAdmin.CoreComponents.html#flash/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.flash/1","doc":"* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash\"`.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"Beacon.LiveAdmin.CoreComponents.html#flash/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"Beacon.LiveAdmin.CoreComponents.html#flash/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"Beacon.LiveAdmin.CoreComponents.html#flash_group/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"Beacon.LiveAdmin.CoreComponents.html#flash_group/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.","ref":"Beacon.LiveAdmin.CoreComponents.html#flash_group/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.header/1","doc":"Renders a header with title.","ref":"Beacon.LiveAdmin.CoreComponents.html#header/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.header/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.CoreComponents.html#header/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.header/1","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","ref":"Beacon.LiveAdmin.CoreComponents.html#header/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.hide/2","doc":"","ref":"Beacon.LiveAdmin.CoreComponents.html#hide/2"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.hide_modal/2","doc":"","ref":"Beacon.LiveAdmin.CoreComponents.html#hide_modal/2"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.icon/1","doc":"Renders a [Hero Icon](https://heroicons.com).\n\nHero icons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid an mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from your `assets/vendor/heroicons` directory and bundled\nwithin your compiled app.css by the plugin in your `assets/tailwind.config.js`.","ref":"Beacon.LiveAdmin.CoreComponents.html#icon/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"w-3 h-3 ml-1 animate-spin\" />","ref":"Beacon.LiveAdmin.CoreComponents.html#icon/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.CoreComponents.html#icon/1-attributes"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.input/1","doc":"Renders an input with label and error messages.\n\nA `%Phoenix.HTML.Form{}` and field name may be passed to the input\nto build input names and error messages, or all the attributes and\nerrors may be passed explicitly.","ref":"Beacon.LiveAdmin.CoreComponents.html#input/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.input/1","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","ref":"Beacon.LiveAdmin.CoreComponents.html#input/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"autocomplete\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"Beacon.LiveAdmin.CoreComponents.html#input/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.input/1","doc":"* `inner_block`","ref":"Beacon.LiveAdmin.CoreComponents.html#input/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.label/1","doc":"Renders a label.","ref":"Beacon.LiveAdmin.CoreComponents.html#label/1"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.label/1","doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"Beacon.LiveAdmin.CoreComponents.html#label/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.label/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.CoreComponents.html#label/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.list/1","doc":"Renders a data list.","ref":"Beacon.LiveAdmin.CoreComponents.html#list/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.list/1","doc":"<.list>\n      <:item title=\"Title\"><%= @post.title %></:item>\n      <:item title=\"Views\"><%= @post.views %></:item>\n    </.list>","ref":"Beacon.LiveAdmin.CoreComponents.html#list/1-examples"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.list/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","ref":"Beacon.LiveAdmin.CoreComponents.html#list/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.modal/1","doc":"Renders a modal.","ref":"Beacon.LiveAdmin.CoreComponents.html#modal/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.modal/1","doc":"<.modal id=\"confirm-modal\">\n      This is a modal.\n    </.modal>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.modal id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      This is another modal.\n    </.modal>","ref":"Beacon.LiveAdmin.CoreComponents.html#modal/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.modal/1","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"Beacon.LiveAdmin.CoreComponents.html#modal/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.modal/1","doc":"* `inner_block` (required)","ref":"Beacon.LiveAdmin.CoreComponents.html#modal/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.show/2","doc":"","ref":"Beacon.LiveAdmin.CoreComponents.html#show/2"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.show_modal/2","doc":"","ref":"Beacon.LiveAdmin.CoreComponents.html#show_modal/2"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.simple_form/1","doc":"Renders a simple form.","ref":"Beacon.LiveAdmin.CoreComponents.html#simple_form/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"Beacon.LiveAdmin.CoreComponents.html#simple_form/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.simple_form/1","doc":"* `for` (`:any`) (required) - the datastructure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\"]`.","ref":"Beacon.LiveAdmin.CoreComponents.html#simple_form/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"Beacon.LiveAdmin.CoreComponents.html#simple_form/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.table/1","doc":"Renders a table with generic styling.","ref":"Beacon.LiveAdmin.CoreComponents.html#table/1"},{"type":"function","title":"Examples - Beacon.LiveAdmin.CoreComponents.table/1","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\"><%= user.id %></:col>\n      <:col :let={user} label=\"username\"><%= user.username %></:col>\n    </.table>","ref":"Beacon.LiveAdmin.CoreComponents.html#table/1-examples"},{"type":"function","title":"Attributes - Beacon.LiveAdmin.CoreComponents.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","ref":"Beacon.LiveAdmin.CoreComponents.html#table/1-attributes"},{"type":"function","title":"Slots - Beacon.LiveAdmin.CoreComponents.table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"Beacon.LiveAdmin.CoreComponents.html#table/1-slots"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.translate_error/1","doc":"Translates an error message using gettext.","ref":"Beacon.LiveAdmin.CoreComponents.html#translate_error/1"},{"type":"function","title":"Beacon.LiveAdmin.CoreComponents.translate_errors/2","doc":"Translates the errors for a field from a keyword list of errors.","ref":"Beacon.LiveAdmin.CoreComponents.html#translate_errors/2"},{"type":"behaviour","title":"Beacon.LiveAdmin.PageBuilder","doc":"The foundation for building admin pages.\n\nEither built-in pages and custom pages on your app should implement these callbacks\nto properly mount the menu and the private assigns used by LiveAdmin.","ref":"Beacon.LiveAdmin.PageBuilder.html"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.handle_event/3","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:handle_event/3"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.handle_info/2","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:handle_info/2"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.handle_params/3","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:handle_params/3"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.init/1","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:init/1"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.menu_link/2","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:menu_link/2"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.menu_link/3","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:menu_link/3"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.mount/3","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:mount/3"},{"type":"callback","title":"Beacon.LiveAdmin.PageBuilder.render/1","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#c:render/1"},{"type":"type","title":"Beacon.LiveAdmin.PageBuilder.session/0","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#t:session/0"},{"type":"type","title":"Beacon.LiveAdmin.PageBuilder.unsigned_params/0","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.html#t:unsigned_params/0"},{"type":"module","title":"Beacon.LiveAdmin.PageBuilder.Page","doc":"Represents a Page in the LiveAdmin UI.","ref":"Beacon.LiveAdmin.PageBuilder.Page.html"},{"type":"type","title":"Beacon.LiveAdmin.PageBuilder.Page.t/0","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.Page.html#t:t/0"},{"type":"module","title":"Beacon.LiveAdmin.PageBuilder.Table","doc":"Represents a Table in the LiveAdmin UI, with pagination, filtering, and sorting.","ref":"Beacon.LiveAdmin.PageBuilder.Table.html"},{"type":"function","title":"Beacon.LiveAdmin.PageBuilder.Table.build/1","doc":"Initializes a new `Table` struct.","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#build/1"},{"type":"function","title":"Options - Beacon.LiveAdmin.PageBuilder.Table.build/1","doc":"* `sort_by` - (required) the field on which to sort the table contents\n  * `per_page` - the number of items to display per page (defaults to 15)","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#build/1-options"},{"type":"function","title":"Beacon.LiveAdmin.PageBuilder.Table.goto_path/3","doc":"Generates a path to navigate from the current page to another given page.\n\nIf the current and goto pages are the same, it will still append table params to the path.","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#goto_path/3"},{"type":"function","title":"Usage - Beacon.LiveAdmin.PageBuilder.Table.goto_path/3","doc":"```\n<.link patch={Table.goto_path(@socket, @page)}>\n```","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#goto_path/3-usage"},{"type":"function","title":"Beacon.LiveAdmin.PageBuilder.Table.handle_params/3","doc":"Updates the current page based on incoming params and a `count_fn` which returns the number of\nitems which have already been seen.\n\nCan be called as a helper inside a `c:Beacon.LiveAdmin.PageBuilder.handle_params/3` callback when\nupdating params for a Table.","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#handle_params/3"},{"type":"function","title":"Beacon.LiveAdmin.PageBuilder.Table.next_path/2","doc":"Generates a path for the next page of a paginated table.","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#next_path/2"},{"type":"function","title":"Usage - Beacon.LiveAdmin.PageBuilder.Table.next_path/2","doc":"```\n<.link patch={Table.next_path(@socket, @page)}>\n```","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#next_path/2-usage"},{"type":"function","title":"Beacon.LiveAdmin.PageBuilder.Table.prev_path/2","doc":"Generates a path for the previous page of a paginated table.","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#prev_path/2"},{"type":"function","title":"Usage - Beacon.LiveAdmin.PageBuilder.Table.prev_path/2","doc":"```\n<.link patch={Table.prev_path(@socket, @page)}>\n```","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#prev_path/2-usage"},{"type":"function","title":"Beacon.LiveAdmin.PageBuilder.Table.query_params/2","doc":"Creates a list of query params based on the existing params in a given `table` and a new set of incoming params.\n\nThe existing and incoming params will be merged, with precedence for the latter (incoming will overwrite existing).","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#query_params/2"},{"type":"type","title":"Beacon.LiveAdmin.PageBuilder.Table.t/0","doc":"","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#t:t/0"},{"type":"function","title":"Beacon.LiveAdmin.PageBuilder.Table.update/2","doc":"Pushes updated Table data to the websocket.\n\nThe Beacon Page containing the table will be automatically updated","ref":"Beacon.LiveAdmin.PageBuilder.Table.html#update/2"},{"type":"exception","title":"Beacon.LiveAdmin.ClusterError","doc":"Raised when there is an error in calling a remove Beacon function through the cluster.\n\nIf you're seeing this error, make sure the node running the site is connected to the cluster.","ref":"Beacon.LiveAdmin.ClusterError.html"},{"type":"exception","title":"Beacon.LiveAdmin.ConfigError","doc":"Raised when some option in `Beacon.LiveAdmin.Config` is invalid.\n\nIf you are seeing this error, check `application.ex` where your admin instance config is defined.\nDescription and examples of each allowed configuration option can be found in `Beacon.LiveAdmin.Config.new/1`","ref":"Beacon.LiveAdmin.ConfigError.html"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.4.0 (2025-02-12) - Changelog","doc":"","ref":"changelog.html#0-4-0-2025-02-12"},{"type":"extras","title":"Enhancements - Changelog","doc":"- Adds page to define custom JS Hooks\n  - Updated UI styling with StationUI\n  - Unsaved changes will now be saved when publishing, instead of discarded\n  - Adds Unpublish button to Page editor\n  - Page editor now shows draft/published status\n  - [Visual Editor] Add Opacity property control","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"- Fixed a bug where MediaLibrary could check for file contents on the wrong node in multi-node deployments\n  - Fixed a bug where using the code editor could reset other form fields on the page\n  - Saving as draft no longer resets the form for new pages\n  - Pin Tailwind v3 to avoid errors with the unsupported v4\n  - Properly start `:pg` in the supervision tree to avoid init errors","ref":"changelog.html#fixes"},{"type":"extras","title":"Chores - Changelog","doc":"- Remove unnecessary node check on RPC calls\n  - [Visual Editor] Migrate the sidebar from Svelte to LiveView\n  - Make `:igniter` optional","ref":"changelog.html#chores"},{"type":"extras","title":"Breaking Changes - Changelog","doc":"- Require minimum `:igniter` v0.5\n  - `beacon_live_admin.install` - removed command alias `-p`","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"0.3.1 (2024-12-12) - Changelog","doc":"","ref":"changelog.html#0-3-1-2024-12-12"},{"type":"extras","title":"Fixes - Changelog","doc":"- Support LiveView 0.20\n  - Fix \"new meta tag\" modal close event being sent to wrong target","ref":"changelog.html#fixes"},{"type":"extras","title":"0.3.0 (2024-12-05) - Changelog","doc":"","ref":"changelog.html#0-3-0-2024-12-05"},{"type":"extras","title":"Enhancements - Changelog","doc":"- Support Phoenix LiveView 1.0\n  - Introduce `Beacon.LiveAdmin.Config`","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"- [Visual Editor] Decode HTML entities in Tailwind compiler","ref":"changelog.html#fixes"},{"type":"extras","title":"Chores - Changelog","doc":"- Remove unused router helper `beacon_live_admin_url/4`","ref":"changelog.html#chores"},{"type":"extras","title":"0.2.0 (2024-11-14) - Changelog","doc":"","ref":"changelog.html#0-2-0-2024-11-14"},{"type":"extras","title":"Enhancements - Changelog","doc":"- Add `beacon_live_admin.install` Igniter task\n  - [Media Library] Display asset file name on show details to allow easy copy and paste","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"- [Visual Editor] Pass down slot to nested components\n  - [Visual Editor] Improve flow detection","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.1 (2024-10-23) - Changelog","doc":"","ref":"changelog.html#0-1-1-2024-10-23"},{"type":"extras","title":"Fixes - Changelog","doc":"- [Visual Editor] Allow to drop elements into the page over the layout\n  - [Visual Editor] Fix small bug that prevented deleting an item","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.0 (2024-10-09) - Changelog","doc":"","ref":"changelog.html#0-1-0-2024-10-09"},{"type":"extras","title":"Enhancements - Changelog","doc":"- [Visual Editor] Keep comments in their correct position in the tree #268\n  - [Visual Editor] Allow to drag the parent of the selected element #267\n  - [Visual Editor] Improve bidirectional drag and drop #266\n  - [Visual Editor] Animate drag and drop using FLIP approach and simplify calculation of all elements #264\n  - Reorder pages - [#261](https://github.com/BeaconCMS/beacon_live_admin/pull/261)\n  - Added Shared Info Handlers (`info_handle` callbacks) page - [#210](https://github.com/BeaconCMS/beacon_live_admin/pull/210) by [@ddink](https://github.com/ddink)","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"- [Page Editor] remove path whitespace in new pages form\n  - Remove unnecessary `:plug_cowboy` dependency - [#262](https://github.com/BeaconCMS/beacon_live_admin/pull/262)","ref":"changelog.html#fixes"},{"type":"extras","title":"Documentation - Changelog","doc":"- Fix install guide link","ref":"changelog.html#documentation"},{"type":"extras","title":"0.1.0-rc.2 (2024-09-21 - Changelog","doc":"","ref":"changelog.html#0-1-0-rc-2-2024-09-21"},{"type":"extras","title":"Breaking Changes - Changelog","doc":"- Require minimum Elixir v1.14\n  - Require minimum Gettext v0.26 to use the new backend module","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Fixes - Changelog","doc":"- [Visual Editor] Fix a race condition between update AST and save change events - [#240](https://github.com/BeaconCMS/beacon_live_admin/pull/240)\n  - Skip `PageBuilder.Table.handle_params/3` when the requested page has no pagination data - [#236](https://github.com/BeaconCMS/beacon_live_admin/pull/236)","ref":"changelog.html#fixes"},{"type":"extras","title":"Enhancements - Changelog","doc":"- [Visual Editor] Improve DnD highlight states and simplify logic significantly - [#219](https://github.com/BeaconCMS/beacon_live_admin/pull/219)\n  - [Visual Editor] Better detect overlapping when dragging elements to reorder - [#216](https://github.com/BeaconCMS/beacon_live_admin/pull/216)\n  - [Visual Editor] Display a delete icon on selected elements - [#209](https://github.com/BeaconCMS/beacon_live_admin/pull/209)\n  - [Visual Editor] Better detect horizontal/vertical drag and drop flow - [#215](https://github.com/BeaconCMS/beacon_live_admin/pull/215)","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"- [Dev] Fix tailwind watch config\n  - [Visual Editor] Fix drag button orientation - [#218](https://github.com/BeaconCMS/beacon_live_admin/pull/218)\n  - [Visual Editor] Do not show drag buttons on elements that are only children - [#217](https://github.com/BeaconCMS/beacon_live_admin/pull/217)\n  - [Visual Editor] Keep current element select after drag and drop event - [#214](https://github.com/BeaconCMS/beacon_live_admin/pull/214)","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.0-rc.1 (2024-08-27) - Changelog","doc":"","ref":"changelog.html#0-1-0-rc-1-2024-08-27"},{"type":"extras","title":"Enhancements - Changelog","doc":"- [Event Handler] Added Event Handlers - [#195](https://github.com/BeaconCMS/beacon_live_admin/pull/195)\n  - [Visual Editor] Allow to reorder an element among its siblings with drag and drop - [#174](https://github.com/BeaconCMS/beacon_live_admin/pull/174)","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"- [Visual Editor] Disable dragLeave trigger on drag placeholder - [#208](https://github.com/BeaconCMS/beacon_live_admin/pull/208)\n  - [Visual Editor] Reset drag states when dropping, even on invalid targets - [#206](https://github.com/BeaconCMS/beacon_live_admin/pull/206)\n  - [Visual Editor] Disable interacting with iframes - [#198](https://github.com/BeaconCMS/beacon_live_admin/pull/198)\n  - Remove defunct reference to agent assigns - [#200](https://github.com/BeaconCMS/beacon_live_admin/pull/200) by @kelcecil","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.0-rc.0 (2024-08-02) - Changelog","doc":"","ref":"changelog.html#0-1-0-rc-0-2024-08-02"},{"type":"extras","title":"Enhancements - Changelog","doc":"- Media Library\n    - Upload, preview, and display image location\n    - Sorting and pagination\n  - Error Page\n  - Components\n    - Sorting and pagination\n  - Layouts\n    - Sorting and pagination\n  - Pages\n    - Visual Editor with HEEx and 2-way sync support\n    - Sorting and pagination\n  - Live Data\n  - Custom Pages\n  - Router helper `~p` to generate paths with site prefixes\n  - Content management through the `Beacon.Content` API\n  - A/B Variants\n  - TailwindCSS compiler","ref":"changelog.html#enhancements"},{"type":"extras","title":"Installation","doc":"# Installation\n\nBeacon LiveAdmin is a Phoenix LiveView application to manage running sites, allowing you to build your site by creating resources like layouts, pages, components, and more.\n\nIt runs as a library in your Phoenix LiveView application, either in a new or an existing application.\n\nBeacon LiveAdmin can be [installed along with Beacon](https://github.com/BeaconCMS/beacon/blob/main/guides/introduction/installation.md) in the same application/node or in a separated application/node if you need to isolate it for performance or security reasons.\n\nIt will find all running sites in the cluster as long as the nodes are connected to each other, which can be achieved with libs like [libcluster](https://hex.pm/packages/libcluster) or [dns_cluster](https://hex.pm/packages/dns_cluster).\n\nIf you already have a Phoenix LiveView application up and running that meet the minimum requirements for Beacon and Beacon LiveAdmin, you can directly to step 5 - adding the `:beacon_live_admin` dependency.","ref":"installation.html"},{"type":"extras","title":"Steps - Installation","doc":"1. Install Elixir v1.14 or later\n\nCheck out the official [Elixir install guide](https://elixir-lang.org/install.html) for more info.\n\n2. Update Hex\n\n  ```sh\n  mix local.hex\n  ```\n\nIf that command fails or Elixir version is outdated, please follow the [Elixir Install guide](https://elixir-lang.org/install.html) to set up your environment correctly.\n\n3. Install Phoenix v1.7 or later\n\n  ```sh\n  mix archive.install hex phx_new\n  ```\n\nCheck out the official [Phoenix install guide](https://hexdocs.pm/phoenix/installation.html) for more info.\n\n4. Generate a new Phoenix application\n\n  ```sh\n  mix phx.new --install admin\n  ```\n\nNote that BeaconLiveAdmin supports Umbrella applications as well.\n\n5. Add `:beacon_live_admin` dependency to `mix.exs`\n\n  ```diff\n  + {:beacon_live_admin, \">= 0.0.0\"},\n  ```\n\n6. Add `:beacon_live_admin` into `:import_deps` in file `.formatter.exs`\n\n  ```diff\n  - import_deps: [:ecto, :ecto_sql, :phoenix],\n  + import_deps: [:ecto, :ecto_sql, :phoenix, :beacon_live_admin],\n  ```\n\n7. Add `beacon_live_admin` to your application `router.ex` file:\n\n  ```elixir\n  use Beacon.LiveAdmin.Router # <- add this line\n\n  pipeline :browser do\n    # ...\n    # ommited for brevity\n    plug Beacon.LiveAdmin.Plug # <- add this line\n  end\n\n  # add the following scope before any beacon_site\n  scope \"/admin\" do\n    pipe_through :browser\n    beacon_live_admin \"/\"\n  end\n  ```\n\nNote that route precedence is important, make sure the there are no conflicts with other routes otherwise Beacon LiveAdmin will not work properly.\n\nFor example, if a site is mounted at `/` then you should add the admin scope before so `/admin` is handled by Beacon LiveAdmin,\notherwise Beacon will try to find a page for `/admin` defined in the site. The same may happen with other routes on your application.\n\n8. Install deps\n\n  ```sh\n  mix deps.get\n  ```","ref":"installation.html#steps"},{"type":"extras","title":"Additional Pages","doc":"# Additional Pages","ref":"additional-pages.html"},{"type":"extras","title":"Add Pages - Additional Pages","doc":"In your app router, you can mount additional pages in the `beacon_live_admin` route, for example:\n\n\n```elixir\nbeacon_live_admin(\"/admin\",\n  additional_pages: [\n    {\"/documents\", MyAppWeb.Admin.DocumentsLive.Index, :index}\n  ]\n)\n```\n\nThe format is very similar to a regular route, you must inform the path, the LiveView module and action name. In this example a page will be available at `/admin/documents`.","ref":"additional-pages.html#add-pages"},{"type":"extras","title":"Build your page - Additional Pages","doc":"Admin pages must use the `Beacon.LiveAdmin.PageBuilder` module, which provides the foundation for LiveView pages to work in the admin interface. Here's an example:\n\n```elixir\ndefmodule MyAppWeb.Admin.DocumentsLive.Index do\n  use Beacon.LiveAdmin.PageBuilder\n\n  @impl true\n  def menu_link(_prefix, _live_action), do: {:root, \"Documents\"}\n\n  @impl true\n  def mount(params, _session, socket) do\n    documents = MyApp.Documents.list()\n    {:ok, assign(socket, documents: documents)}\n  end\n\n  @impl true\n  def render(assigns) do\n    ~H\"\"\"\n    <.header>\n      Listing Documents\n    </.header>\n\n    <%-- implement your page template here --%>\n    \"\"\"\n  end\nend\n```\n\nYou'll notice the only different from a regular LiveView is the `menu_link/2` callback, which is used to define the menu item for the page.","ref":"additional-pages.html#build-your-page"},{"type":"extras","title":"Basic Auth","doc":"# Basic Auth\n\nThe Admin interface should be protected to prevent unauthorized access,\nbut Beacon doesn't provide a sign up / login system out of the box because every\nenvironment has its own requirements and workflows.\n\nTo get started quickly, you can use the basic auth on the router level which\nworks well and is safe when using SSL.","ref":"basic-auth.html"},{"type":"extras","title":"Objective - Basic Auth","doc":"Protect the admin interface with basic auth using credentials from environment variables.","ref":"basic-auth.html#objective"},{"type":"extras","title":"Prerequisites - Basic Auth","doc":"Beacon LiveAdmin is already installed and configured.","ref":"basic-auth.html#prerequisites"},{"type":"extras","title":"Router - Basic Auth","doc":"Open your router file `lib/my_app_web/router.ex` to  create a new pipeline only for the admin routes that will call the basic auth function.\n\n```elixir\ndefmodule MyAppWeb.Router do\n  use MyAppWeb, :router\n  use Beacon.LiveAdmin.Router\n\n  pipeline :browser do\n    # omitted for brevity...\n    plug Beacon.LiveAdmin.Plug\n  end\n\n  # add this pipeline\n  pipeline :require_auth do\n    plug :admin_basic_auth\n  end\n\n  scope \"/admin\" do\n    pipe_through [:browser, :require_auth] # <- add the require_auth pipeline\n    beacon_live_admin \"/\"\n  end\n\n  # rest of the router ommitted for brevity...\n\n  defp admin_basic_auth(conn, _opts) do\n    username = System.fetch_env!(\"BEACON_ADMIN_USERNAME\")\n    password = System.fetch_env!(\"BEACON_ADMIN_PASSWORD\")\n    Plug.BasicAuth.basic_auth(conn, username: username, password: password)\n  end\nend\n```","ref":"basic-auth.html#router"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}